Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.application
Class MiningMartToolBar

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JToolBar
                      org.musoft.limo.application.ToolBar
                          edu.udo.cs.miningmart.gui.application.MiningMartToolBar

All Implemented Interfaces:
  javax.accessibility.Accessible, org.musoft.limo.application.ApplicationListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.swing.SwingConstants

public class MiningMartToolBar
extends org.musoft.limo.application.ToolBar

A ToolBar for the `MiningMartApplication`.

Version:
  $Id: MiningMartToolBar.java,v 1.5 2006/04/11 14:10:15 euler Exp $
Author:
  Daniel Hakenjos
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JToolBar
`javax.swing.JToolBar.AccessibleJToolBar, javax.swing.JToolBar.Separator`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class org.musoft.limo.application.ToolBar
`ACTIVE, INACTIVE, INVISIBLE`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MiningMartToolBar(org.musoft.limo.application.Application p)`

Method Summary
`protected void` | `createCaseTools()` Erzeugen der Tools for Case-Opening etc.
`protected void` | `createChainTools()` Creates Chain-Tools.
`protected void` | `createCompileTools()` Creates tools for compiling.
`protected void` | `createHelpTools()` Creates Help-Tools.
`protected void` | `createStateTools()` Creates tools for steps.
`org.musoft.limo.model.ModelFigureElement` | `getPotentialParent(int x, int y, org.jhotdraw.framework.Drawing drawing)`
`void` | `initToolStates()` Sets the initial states of the tools.
`void` | `promptCloseToolStates()` Sets the states of the tools when closing a case.
`void` | `promptDoneCompilationItemStates()` Sets the state of the compile menu-items when the compilation is done.
`void` | `promptNewToolStates()` Sets the states of the tools for a new case.
`void` | `promptOpenItemStates()` Sets the states of the tools when opening a case.
`void` | `promptStartCompilationItemStates()` Sets the state of the compile menu-items when the compilation starts.
`void` | `promptSwitchEditor()`

Methods inherited from class org.musoft.limo.application.ToolBar
`addButton, addGroup, addJComponent, checkParent, createBToolButton, createDefaultToolButton, createDrawingTools, createGeneralTools, createMyToolButton, createToolButton, enableTool, getParentApplication, onModelCreated, onModelDestroying, onModelLoaded, onModelSaved, onModelSelectionChanged, onStateChanged, showGroup`

Methods inherited from class javax.swing.JToolBar
`add, addImpl, addSeparator, addSeparator, createActionChangeListener, createActionComponent, getAccessibleContext, getComponentAtIndex, getComponentIndex, getMargin, getOrientation, getUI, getUIClassID, isBorderPainted, isFloatable, isRollover, paintBorder, paramString, setBorderPainted, setFloatable, setLayout, setMargin, setOrientation, setRollover, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MiningMartToolBar

    public MiningMartToolBar(org.musoft.limo.application.Application p)

Method Detail

### initToolStates

    public void initToolStates()

  Sets the initial states of the tools.

### promptOpenItemStates

    public void promptOpenItemStates()

  Sets the states of the tools when opening a case.

### promptStartCompilationItemStates

    public void promptStartCompilationItemStates()

  Sets the state of the compile menu-items when the compilation starts.

### promptDoneCompilationItemStates

    public void promptDoneCompilationItemStates()

  Sets the state of the compile menu-items when the compilation is done.

### promptSwitchEditor

    public void promptSwitchEditor()

### promptNewToolStates

    public void promptNewToolStates()

  Sets the states of the tools for a new case.

### promptCloseToolStates

    public void promptCloseToolStates()

  Sets the states of the tools when closing a case.

### createCaseTools

    protected void createCaseTools()

  Erzeugen der Tools for Case-Opening etc.

### createChainTools

    protected void createChainTools()

  Creates Chain-Tools.

### createCompileTools

    protected void createCompileTools()

  Creates tools for compiling.

### createHelpTools

    protected void createHelpTools()

  Creates Help-Tools.

### createStateTools

    protected void createStateTools()

  Creates tools for steps.

### getPotentialParent

    public org.musoft.limo.model.ModelFigureElement getPotentialParent(int x,
                                                                       int y,
                                                                       org.jhotdraw.framework.Drawing drawing)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005